Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi
Class SortCriteria

    java.lang.Object
      com.bea.content.spi.SortCriteria

All Implemented Interfaces
  Serializable

    public class SortCriteria

extends Object
implements Serializable

query sort criteria

See Also
  Serialized Form

Field Summary
`static SortCriteria` | `UNSORTED`

Constructor Summary
`SortCriteria()`
`SortCriteria(boolean sortAscending)`
`SortCriteria(boolean sortResults, boolean sortAscending, String property, Locale locale)`
`SortCriteria(boolean sortAscending, String property)`

Method Summary
`boolean` | `equals(Object obj)`
`Locale` | `getLocale()`
`String` | `getProperty()`
`boolean` | `sortAscending()`
`boolean` | `sortResults()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNSORTED

    public static final SortCriteria UNSORTED

Constructor Detail

### SortCriteria

    public SortCriteria(boolean sortResults,
                        boolean sortAscending,
                        String property,
                        Locale locale)

### SortCriteria

    public SortCriteria(boolean sortAscending,
                        String property)

### SortCriteria

    public SortCriteria(boolean sortAscending)

### SortCriteria

    public SortCriteria()

Method Detail

### sortResults

    public boolean sortResults()

### sortAscending

    public boolean sortAscending()

### getProperty

    public String getProperty()

### getLocale

    public Locale getLocale()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved